Subject: Re: TCP: Peer messages

From: Stephen Hemminger <[email-masked]>
Date: Sun, 19 Apr 2009 20:11:00 -0700

On Sun, 19 Apr 2009 14:19:36 +0300 (EEST)
"Ilpo Järvinen" <[email-masked]> wrote:

> On Sat, 18 Apr 2009, Stephen Hemminger wrote:
> 
> > Running some log-term tests of (using bittorrent of latest Ubuntu releases).
> > I see no problems with firewall rules (or sky2 driver), but I do several 
> > of these: 
> > 
> > 
> > [28286.893945] TCP: Peer <ip scrubbed>:63659/51413 unexpectedly shrunk window 414881290:414894358 (repaired)
> > [47312.851937] TCP: Peer <ip scrubbed>:43793/51413 unexpectedly shrunk window 888816585:888823785 (repaired)
> 
> This is what was earlier the Treason uncloacked message until somebody 
> was scared to death because of it and we had to change the wording.
> 
> And it's what the old kernels do for us (and there are plenty of such 
> kernels around), and possibly broken middleboxes too. Unless you have a 
> tcpdump of a specific case or can clearly say that its frequency is much 
> larger than it used to be in some between kernel versions consistent test 
> setup, I'm not going to waste my time on debugging obsolete remote ends.
> 
> But, now that I think it a bit more, we could possibly but a WARN_ON 
> somewhere if we ever sent past advertized window to make a distinction 
> between our and their bugs.
> 

12 over 3 days is not enough to worry about.